<div class="overview_container">
<table id="overview_gain">
  <thead>
    <tr><th colspan="2">Gain</th></tr>
  </thead>
  <tbody>
<% if smr_position.is_closed? and not smr_position.is_viewed_before_closure? %>
    <tr><td>Purchased Volume</td><td><%= smr_humanize(smr_position.purchase_volume) %></td></tr>
    <tr><td>Settled Volume</td><td><%= smr_humanize(smr_position.settled_volume) %></td></tr>
    <tr>
        <td>= <%= smr_profitloss_status(smr_position.profit_loss) %></td>
        <td class="<%= smr_profitloss_status(smr_position.profit_loss, :css=>true) %>">
            <%= smr_humanize(smr_position.profit_loss) %>
            <span><%= percentage_change(smr_position.purchase_volume, smr_position.settled_volume) %></span>
        </td>
    </tr>
<% else %>
    <tr><td>Invested Money</td><td><%= smr_humanize(smr_position.invested) %></td></tr>
    <tr><td>Market Value</td><td><%= smr_humanize(smr_position.market_value) %></td></tr>
    <tr>
        <td>= <%= smr_profitloss_status(smr_position.profit_loss) %></td>
        <td class="<%= smr_profitloss_status(smr_position.profit_loss, :css=>true) %>">
            <%= smr_humanize(smr_position.profit_loss) %>
            <span><%= percentage_change(smr_position.invested, smr_position.market_value)%></span>
        </td>
    </tr>
<% end %>
    <tr>
        <td>Charges</td>
        <td><%= smr_humanize(smr_position.charges*-1) %>
            <span><%= if smr_position.is_closed? then
                    percentage_of(smr_position.purchase_volume, smr_position.charges)
                else percentage_of(smr_position.invested, smr_position.charges) end%></span>
        </td>
    </tr>
    <tr>
        <td><%= case smr_position.security.type.to_sym
                    when :stock then 'Dividend Received'
                    when :bond then 'Coupons Received'
                    when :fund then 'Distributions Received'
                    else 'Proceeds'
                end %></td>
        <td><%= smr_humanize(smr_position.dividend.received) %>
<% if smr_position.is_closed? and not smr_position.is_viewed_before_closure? %>
            <span><%= percentage_of(smr_position.purchase_volume, smr_position.dividend.received) %>b</span>
<% else %>
            <span><%= percentage_of(smr_position.invested, smr_position.dividend.received)%></span>
<% end %>
        </td>
    </tr>
    <tr>
        <td>Accrued Interest Balance</td>
        <td><%= smr_humanize(smr_position.accrued_interest) %></td>
    </tr>
    <tr>
        <td>= Gain</td>
        <td class="<%= smr_profitloss_status(smr_position.gain, :css=>true) %>">
            <%= smr_humanize(smr_position.gain) %>
<% if smr_position.is_closed? and not smr_position.is_viewed_before_closure? %>
            <span><%= percentage_of(smr_position.purchase_volume, smr_position.gain) %></span>
<% else %>
            <span><%= percentage_change(smr_position.invested, smr_position.dirty_value) %></span>
<% end %>
        </td>
    </tr>
  </tbody>
</table>
</div>
